<template>
  <div class="current-date-time">
    {{ time }}
  </div>
</template>

<script setup lang="ts">
import { useDateFormat, useNow } from '@vueuse/core'

const time = useDateFormat(useNow(), 'YYYY[年] MM[月] DD[日] dddd HH:mm:ss', { locales: 'zh-cn' })
</script>
<style scoped lang="scss">
$color: #30decd;

.current-date-time {
  width: 370px;
  color: $color;
  font-size: 24px;
  font-weight: 600;
}
</style>
